DewaVPS

Get private network graph

GET
/network/vswitch/{vswitch_id}/graph

Retrieve the network topology graph data for a private network.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

vswitch_id*integer

ID of the private network

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/network/vswitch/0/graph"
{
  "message": "Private Network graph data",
  "data": {
    "nodes": [
      {
        "id": "string",
        "type": "string",
        "position": {
          "x": 0,
          "y": 0
        },
        "data": {},
        "style": {},
        "parent": "string",
        "draggable": true
      }
    ],
    "edges": [
      {
        "id": "string",
        "source": "string",
        "target": "string",
        "label": "string"
      }
    ]
  }
}